# Get funding history

```
GET /api/v1/funding/history
```

#### Query Parameters

<table><thead><tr><th width="176">Field</th><th width="98">Type</th><th width="95">Need</th><th width="189">Description</th><th>Example</th></tr></thead><tbody><tr><td><code>"account"</code></td><td>string</td><td>required</td><td>Trading pair symbol</td><td><code>42trU9A5...</code></td></tr><tr><td><code>"limit"</code></td><td>integer</td><td>optional</td><td>Maximum number of records to return default system defined limit</td><td><code>100</code></td></tr><tr><td><code>"cursor"</code></td><td>string</td><td>optional</td><td>Cursor pagination to access records. Default to none</td><td><code>1115hVka</code></td></tr></tbody></table>

```
/api/v1/funding/history?account=42trU9A5...&limit=20&cursor=11115hVka
```

#### Response

* Status 200: Successfully retrieved funding history

```json
  {
  "success": true,
  "data": [
    {
      "history_id": 2287920,
      "symbol": "PUMP",
      "side": "ask",
      "amount": "39033804",
      "payout": "2.617479",
      "rate": "0.0000125",
      "created_at": 1759222804122
    },
    ...
  ],
  "next_cursor": "11114Lz77",
  "has_more": true
}
```

<table><thead><tr><th width="208">Field</th><th width="186">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>"history_id"</code></td><td>integer</td><td>History id of trade</td></tr><tr><td><code>"symbol"</code></td><td>string</td><td>Trading pair symbol</td></tr><tr><td><code>"side"</code></td><td>string</td><td>If the position resulting in the funding payment was long or short (bid or ask)</td></tr><tr><td><code>"amount"</code></td><td>decimal string</td><td>Amount (in token denomination) of the position that resulted in the funding payment</td></tr><tr><td><code>"payout"</code></td><td>decimal string</td><td>Funding paid (in USD)</td></tr><tr><td><code>"rate"</code></td><td>decimal string</td><td>Funding rate that was used to calculate the payput</td></tr><tr><td><code>"created_at"</code></td><td>integer</td><td>Timestamp in milliseconds when the funding payment was logged</td></tr><tr><td><code>'next_cursor'</code></td><td>string</td><td>Next cursor for pagination</td></tr><tr><td><code>'has_more'</code></td><td>boolean</td><td>True if there exists a <code>'next_cursor'</code></td></tr></tbody></table>

* Status 400: Invalid request parameters
* Status 401: Unauthorized access
* Status 500: Internal server error

#### Code Example (Python)

```python
import requests

response = requests.get(
    "/api/v1/funding/history?account=42trU9A5...&limit=20&cursor=11115hVka",
    headers={"Accept": "*/*"},
)

data = response.json()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/account/get-funding-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
